Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.xensource.xenapi
Class Types.MessageParameterCountMismatch

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  com.xensource.xenapi.Types.XenAPIException
                      com.xensource.xenapi.Types.MessageParameterCountMismatch

All Implemented Interfaces:
  Serializable

Enclosing class:
  Types

    public static class Types.MessageParameterCountMismatch

extends Types.XenAPIException

You tried to call a method with the incorrect number of parameters. The fully-qualified method name that you used, and the number of received and expected parameters are returned.

See Also:
  Serialized Form

Field Summary
`String` | `expected`
`String` | `method`
`String` | `received`

Fields inherited from class com.xensource.xenapi.Types.XenAPIException
`errorDescription, shortDescription`

Constructor Summary
`Types.MessageParameterCountMismatch(String method, String expected, String received)` Create a new MessageParameterCountMismatch

Method Summary

Methods inherited from class com.xensource.xenapi.Types.XenAPIException
`toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### method

    public final String method

### expected

    public final String expected

### received

    public final String received

Constructor Detail

### Types.MessageParameterCountMismatch

    public Types.MessageParameterCountMismatch(String method,
                                               String expected,
                                               String received)

  Create a new MessageParameterCountMismatch

  Parameters:
    `method` -
    `expected` -
    `received` -

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD